.\"                                      Hey, EMACS: -*- nroff -*-
.TH PREFIX 1 "Oct 07, 2010"
.SH NAME
prefix \- Script that allows you to reconfigure environment variables for
multiple installations of a set of software installed on the same machine
.SH SYNOPSIS
.B prefix
.SH DESCRIPTION
It is assumed that the software for each installation is all under a single
directory whose name is assigned to an environment variable called PREFIX.
.PP
This arrangement of enabling multiple installations of software on a single
machine is useful at many times. On a single server, it can provide for 
development, test, and production installations of software. Alternatively, 
on development servers, it allows for multiple development "sandboxes", one for
each developer. On production servers, it allows for multiple versions of the
production software to be installed. One might be the currently running
software, one the previous software kept online as a fall-back, and one a new
release of software wich is scheduled to be brought online soon.
.PP
There are three usages of the prefix script:
.IP
(1) The interactive usage should be placed as the last line
    of a user's ".profile".  The user must be running the
    Korn shell (ksh) or the Bourne Again shell (bash).
    The user is prompted to enter one of the known PREFIX locations,
    specified in the $HOME/.prefixes file or the /etc/prefixes file.
    During configuration, the $PREFIX/.prefixrc file is sourced
    in order to accomplish environment-specific configurations.
.IP
(2) The non-interactive user configuration does not consult
    $HOME/.prefixes or /etc/prefixes or prompt the user, but merely
    configures the environment in accordance with the cmd line argument.
.IP
(3) The batch command usage is mainly for running commands from
    cron or running commands in another environment without changing
    to that environment.
.PP
Usage (1): . prefix                     (sets up environment)
      (2): . prefix <prefix>            (non-interactive setup)
      (3): prefix <prefix> <cmd> <args> (runs cmd configured for PREFIX)
.PP
This manual page was written for the Debian distribution because the
original program does not have a manual page.
.SH AUTHOR
Prefix was written by Stephen Adkins <spadkins@gmail.com>, and is part of
the App-Options distribution.
.PP
This manual page was written by Jotam Jr. Trejo
<jotamjr@debian.org.sv>, for the Debian systems (but may
be used by others).
